#if !defined(AFX_PUBLISHDLG_H__6513D0A7_14F7_4CB6_A25F_350359AAD1A7__INCLUDED_)
#define AFX_PUBLISHDLG_H__6513D0A7_14F7_4CB6_A25F_350359AAD1A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PublishDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPublishDlg dialog
#include "GWExtBmpListBox.h"

 
//===========================================================================
// Summary:
//     The CPublishDlg class derived from CDialog
//      Publish Dialog
//===========================================================================

class CPublishDlg : public CDialog
{
// Construction
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Publish Dialog, Constructs a CPublishDlg object.
	//		Returns A  value.  
	// Parameters:
	//		pParent---pParent, A pointer to the CWnd or NULL if the call failed.
	CPublishDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPublishDlg)
	enum { IDD = IDD_DIALOG_PUBLISH };
 
	// m_editIndex, This member specify CEdit object.  
	CEdit	m_editIndex;
 
	// m_listPublish, This member specify CTRSFileListBox object.  
	CTRSFileListBox	m_listPublish;
 
	// m_listOld, This member specify CTRSFileListBox object.  
	CTRSFileListBox	m_listOld;
 
	// m_edtPath, This member specify CEdit object.  
	CEdit	m_edtPath;
 
	// m_strIndex, You can freely substitute CString objects for const char* and LPCTSTR function arguments.  
	CString	m_strIndex;
 
	// m_strPath, You can freely substitute CString objects for const char* and LPCTSTR function arguments.  
	CString	m_strPath;
	//}}AFX_DATA

	CString strPages;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Browse For Folder, None Description.
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		strPath---strPath, Specifies A CString type value.
	BOOL BrowseForFolder( CString& strPath );
	
	//-----------------------------------------------------------------------
	// Summary:
	// Add Information To Tab, Adds an object to the specify list.
	// Parameters:
	//		&strFolder---&strFolder, Specifies A CString type value.
	void AddInfoToTab(const CString &strFolder);
	
	//-----------------------------------------------------------------------
	// Summary:
	// Find In, Searches the list sequentially to find the first CObject pointer matching the specified CObject pointer. 
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		&strFile---&strFile, Specifies A CString type value.
	BOOL FindIn(const CString &strFile);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPublishDlg)
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPublishDlg)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Dialog, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL OnInitDialog();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Add, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonAdd();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Remove, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonRemove();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button1, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButton1();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On O K, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void OnOK();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Double click List Old, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDblclkListOld();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Double click List Publish, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnDblclkListPublish();
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PUBLISHDLG_H__6513D0A7_14F7_4CB6_A25F_350359AAD1A7__INCLUDED_)
