//  MFC ʾԴʾʹ MFC Microsoft Office Fluent û 
// (Fluent UI)ʾο
// Բ䡶Microsoft ο 
// MFC C++ 渽صĵ  
// ơʹûַ Fluent UI ǵṩġ  
// Ҫ˽й Fluent UI ɼƻϸϢ 
// http://go.microsoft.com/fwlink/?LinkId=238214
//
// Ȩ(C) Microsoft Corporation
// Ȩ

// VisioDrawView.h : CVisioDrawView Ľӿ
//

#pragma once

class CVisioDrawDoc;
class CVisioDrawView : public CFOTabPageView
{
protected: // л
	CVisioDrawView();
	DECLARE_DYNCREATE(CVisioDrawView)

// 
public:
	CVisioDrawDoc* GetDocument() const;

	//-----------------------------------------------------------------------
	// Summary:
	// Output Html, None Description.
	// Parameters:
	//		strRootPath---Root Path, Specifies A CString type value.  
	//		szImage---szImage, Specifies A CSize type value.
	void OutputMainHtml(CString strRootPath, const CString &strName);


	//-----------------------------------------------------------------------
	// Summary:
	// Output Html, None Description.
	// Parameters:
	//		strRootPath---Root Path, Specifies A CString type value.  
	//		szImage---szImage, Specifies A CSize type value.
	void OutputScript(CString strRootPath);

// 
public:

	// Init link shape.

	//-----------------------------------------------------------------------
	// Summary:
	// Initial Link Shape, Call InitLinkShape after creating a new object.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void InitLinkShape();

	//-----------------------------------------------------------------------
	// Summary:
	// Select New Shape, Call this function to select the given item.
	// Parameters:
	//		*pShape---*pShape, A pointer to the CFODrawShape  or NULL if the call failed.
	void SelectNewShape(CFODrawShape *pShape);
	//-----------------------------------------------------------------------
	// Summary:
	// Get Next Font Size, Returns the specified value.
	//		Returns a int type value.  
	// Parameters:
	//		nFont---nFont, Specifies A integer value.
	int GetNextFontSize(int nFont);

	// Add shape to selection list.

	//-----------------------------------------------------------------------
	// Summary:
	// Add To Selection, Adds an object to the specify list.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		*pShape---*pShape, A pointer to the CFODrawShape  or NULL if the call failed.
	virtual void AddToSelection(
		// Pointer of shape.
		CFODrawShape *pShape
		);


	// Remove all shapes from the selection list.

	//-----------------------------------------------------------------------
	// Summary:
	// Remove All From Selection, Call this function to remove a specify value from the specify object.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void RemoveAllFromSelection();

	// Remove shape to selection list.

	//-----------------------------------------------------------------------
	// Summary:
	// Remove From Selection, Call this function to remove a specify value from the specify object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		*pShape---*pShape, A pointer to the CFODrawShape  or NULL if the call failed.
	virtual void RemoveFromSelection(
		// Pointer of shape.
		CFODrawShape *pShape
		);
	// Get reg key.

	//-----------------------------------------------------------------------
	// Summary:
	// Get Previous Font Size, Returns the specified value.
	//		Returns a int type value.  
	// Parameters:
	//		nFont---nFont, Specifies A integer value.
	int GetPrevFontSize(int nFont);
	void UpdateStyle(CFOPShapeDefaultStyle *pStyle);

	// Update cells.

	//-----------------------------------------------------------------------
	// Summary:
	// Update Cells, Call this member function to update the object.

	void UpdateCells();

	// Do something after drop shape.
	virtual void DoAfterDrop(const CPoint &pt, CFODrawShape *pShape);

	//-----------------------------------------------------------------------
	// Summary:
	// On Drop, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pDataObject---Data Object, A pointer to the COleDataObject or NULL if the call failed.  
	//		dropEffect---dropEffect, Specifies a DROPEFFECT dropEffect object.  
	//		point---Specifies A CPoint type value.
	virtual BOOL OnDrop(COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);
// д
public:

	// Do Remove a list of Shapes.
	// pShapeList -- the list of shapes for removing.

	//-----------------------------------------------------------------------
	// Summary:
	// Do Delete Action, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns a pointer to the object CFORemoveCompsAction,or NULL if the call failed  
	// Parameters:
	//		pShapeList---Shape List, A pointer to the CFODrawShapeList or NULL if the call failed.
	virtual CFORemoveCompsAction*	DoDeleteActionX(CFODrawShapeList* pShapeList);

	// Override this method to handle the selection change.
	virtual void	DoSelectionChanged(const BOOL &bWithAction = FALSE);

	// Do Remove a list of Shapes.
	// pShapeList -- the list of shapes for removing.

	//-----------------------------------------------------------------------
	// Summary:
	// Do Delete Action, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns a pointer to the object CFORemoveCompsAction,or NULL if the call failed  
	// Parameters:
	//		pShapeList---Shape List, A pointer to the CFODrawShapeList or NULL if the call failed.
	virtual CFORemoveCompsAction*	DoDeleteAction(CFODrawShapeList* pShapeList);

	virtual void OnDraw(CDC* pDC);  // дԻƸͼ
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//-----------------------------------------------------------------------
	// Summary:
	// On Update, Called to notify a view that its document has been modified.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pSender---pSender, A pointer to the CView or NULL if the call failed.  
	//		lHint---lHint, Specifies A lparam value.  
	//		pHint---pHint, A pointer to the CObject or NULL if the call failed.
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);

protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// ʵ
public:
	virtual ~CVisioDrawView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// ɵϢӳ亯
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	virtual void OnInitialUpdate();
	afx_msg void OnConvertSvgShapes();
	afx_msg void OnUpdateConvertSvgShapes(CCmdUI *pCmdUI);
	afx_msg void OnFileExportHtml();
	afx_msg void OnUpdateFileExportHtml(CCmdUI *pCmdUI);
	afx_msg void OnFontStyleBold();
	afx_msg void OnUpdateFontStyleBold(CCmdUI* pCmdUI);
	afx_msg void OnFontStyleItalic();
	afx_msg void OnUpdateFontStyleItalic(CCmdUI* pCmdUI);
	afx_msg void OnFontStyleUnderline();
	afx_msg void OnUpdateFontStyleUnderline(CCmdUI* pCmdUI);
	afx_msg void OnFontBig();
	afx_msg void OnUpdateFontBig(CCmdUI* pCmdUI);
	afx_msg void OnFontSmall();
	afx_msg void OnUpdateFontSmall(CCmdUI* pCmdUI);
	afx_msg void OnFontLeftAlign();
	afx_msg void OnUpdateFontLeftAlign(CCmdUI* pCmdUI);
	afx_msg void OnFontRightAlign();
	afx_msg void OnUpdateFontRightAlign(CCmdUI* pCmdUI);
	afx_msg void OnFontCenter();
	afx_msg void OnUpdateFontCenter(CCmdUI* pCmdUI);
	afx_msg void OnFontTopAlign();
	afx_msg void OnUpdateFontTopAlign(CCmdUI* pCmdUI);
	afx_msg void OnFontBottomAlign();
	afx_msg void OnUpdateFontBottomAlign(CCmdUI* pCmdUI);
	afx_msg void OnFontVcenterAlign();
	afx_msg void OnUpdateFontVcenterAlign(CCmdUI* pCmdUI);
	afx_msg void OnColorTheme();
	afx_msg void OnUpdateColorTheme(CCmdUI *pCmdUI);
	afx_msg void OnExportCanvas();
	afx_msg void OnUpdateExportCanvas(CCmdUI *pCmdUI);
	afx_msg void OnEditDup();
	afx_msg void OnUpdateEditDup(CCmdUI* pCmdUI);
	afx_msg void OnFilePreviewweb();
	afx_msg void OnSetasDefault();
	afx_msg void OnUpdateSetasDefault(CCmdUI* pCmdUI);
	afx_msg void OnDupScale();
	afx_msg void OnUpdateDupScale(CCmdUI* pCmdUI);
	afx_msg void OnRotateDup();
	afx_msg void OnUpdateRotateDup(CCmdUI* pCmdUI);
	afx_msg void OnExportSvg();
	afx_msg void OnUpdateExportSvg(CCmdUI *pCmdUI);
	afx_msg void OnLayLayer();
	afx_msg void OnUpdateLayLayer(CCmdUI *pCmdUI);
	afx_msg void OnLayHorz();
	afx_msg void OnLayVert();
	afx_msg void OnFontname();
	afx_msg void OnUpdateFontname(CCmdUI *pCmdUI);
	afx_msg void OnFontSize();
	afx_msg void OnUpdateFontSize(CCmdUI* pCmdUI);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnViewRuler();
	afx_msg void OnUpdateViewRuler(CCmdUI *pCmdUI);
	afx_msg void OnChangeAllProp();
	afx_msg void OnUpdateChangeAllProp(CCmdUI *pCmdUI);
	afx_msg void OnHideAllSnap();
	afx_msg void OnUpdateHideAllSnap(CCmdUI *pCmdUI);
	afx_msg void OnFontColor();
	afx_msg void OnUpdateFontColor(CCmdUI *pCmdUI);
	afx_msg void OnCloneNow();
	afx_msg void OnUpdateCloneNow(CCmdUI *pCmdUI);
	afx_msg void OnViewPapercolor();
	afx_msg void OnUpdateViewPapercolor(CCmdUI *pCmdUI);
	afx_msg void OnFontAngle();
	afx_msg void OnUpdateFontAngle(CCmdUI *pCmdUI);
};

#ifndef _DEBUG  // VisioDrawView.cpp еĵ԰汾
inline CVisioDrawDoc* CVisioDrawView::GetDocument() const
   { return reinterpret_cast<CVisioDrawDoc*>(m_pDocument); }
#endif

